
Infrastructure - Task #4080

Fix url encoding in ONEMercury download panel js

2013-10-11 19:49 - Skye Roseboom

Status: Closed Start date: 2013-10-11

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: 2013.42-Block.5.4   

Milestone: CCI-1.2 Story Points:  

Product Version: *   

Description

need to url encode pids in D1.downloadpanel.js so that pids containing special characters like ?, & work properly.

Related issues:

Related to Infrastructure - Story #4025: Release CCI 1.2.3 Features Closed 2013-10-02 2013-10-26

History

#1 - 2013-10-11 19:50 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2013-10-15 15:39 - Skye Roseboom

- Status changed from In Progress to Testing

Corrected via M3.downloadPanel (not D1.downloadPanel).   Need to encodeURIComponent before encoding solr special characters.  Tested with

dryad style identifiers in dev.  Merged to and ready to test in release branch.

#3 - 2013-10-18 20:43 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

Testing in stage-2 environment looks good.  closing issue, ready for release.
